package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.UserAccountTransaction;
import com.lightinit.hsdataplatform.entity.UserAccountTransactionExample;
import java.util.List;
import com.lightinit.hsdataplatform.model.admin.AccountManageRechargeDtoModel;
import com.lightinit.hsdataplatform.model.admin.AccountManageRechargeVOModel;
import com.lightinit.hsdataplatform.model.admin.AccountManageTransactionVOModel;
import org.apache.ibatis.annotations.Param;

public interface UserAccountTransactionMapper {
    long countByExample(UserAccountTransactionExample example);

    int deleteByExample(UserAccountTransactionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UserAccountTransaction record);

    int insertSelective(UserAccountTransaction record);

    List<UserAccountTransaction> selectByExampleWithBLOBs(UserAccountTransactionExample example);

    List<UserAccountTransaction> selectByExample(UserAccountTransactionExample example);

    UserAccountTransaction selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UserAccountTransaction record, @Param("example") UserAccountTransactionExample example);

    int updateByExampleWithBLOBs(@Param("record") UserAccountTransaction record, @Param("example") UserAccountTransactionExample example);

    int updateByExample(@Param("record") UserAccountTransaction record, @Param("example") UserAccountTransactionExample example);

    int updateByPrimaryKeySelective(UserAccountTransaction record);

    int updateByPrimaryKeyWithBLOBs(UserAccountTransaction record);

    int updateByPrimaryKey(UserAccountTransaction record);

    List<AccountManageRechargeVOModel> queryRechargeList(AccountManageRechargeDtoModel inputModel);

    long queryRechargeCount(AccountManageRechargeDtoModel inputModel);

    Long querySumTransAmount(AccountManageRechargeDtoModel inputModel);

    List<AccountManageTransactionVOModel> queryTransactionList(AccountManageRechargeDtoModel inputModel);

    long queryTransactionCount(AccountManageRechargeDtoModel inputModel);
}